<?php

declare(strict_types=1);

namespace Maestro\Core\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $resource_key
 * @property list<string> $visible_keys
 */
class DataTableColumnDefault extends Model
{
    /**
     * @var list<string>
     */
    protected $fillable = [
        'resource_key',
        'visible_keys',
    ];

    /**
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'visible_keys' => 'array',
        ];
    }
}
